OGRE: Ogre::TempBlendedBufferInfo Class Reference - OGRE Documentation

Public Member Functions | Private Attributes

# Ogre::TempBlendedBufferInfo Class Reference
[RenderSystem]

Structure for recording the use of temporary blend buffers. More...

`#include <OgreHardwareBufferManager.h>`

Inheritance diagram for Ogre::TempBlendedBufferInfo:
[legend]

List of all members.

## Public Member Functions
| ~TempBlendedBufferInfo (void)
void | extractFrom (const VertexData *sourceData)
| Utility method, extract info from the given VertexData.
void | checkoutTempCopies (bool positions=true, bool normals=true)
| Utility method, checks out temporary copies of src into dest.
void | bindTempCopies (VertexData *targetData, bool suppressHardwareUpload)
| Utility method, binds dest copies into a given VertexData struct.
void | licenseExpired (HardwareBuffer *buffer)
| Overridden member from HardwareBufferLicensee.
bool | buffersCheckedOut (bool positions=true, bool normals=true) const
| Detect currently have buffer copies checked out and touch it.
virtual void | licenseExpired (HardwareBuffer *buffer)=0
| This method is called when the buffer license is expired and is about to be returned to the shared pool.
void * | operator new (size_t sz, const char *file, int line, const char *func)
| operator new, with debug line info
void * | operator new (size_t sz)
void * | operator new (size_t sz, void *ptr)
| placement operator new
void * | operator new[] (size_t sz, const char *file, int line, const char *func)
| array operator new, with debug line info
void * | operator new[] (size_t sz)
void | operator delete (void *ptr)
void | operator delete (void *ptr, void *)
void | operator delete (void *ptr, const char *, int, const char *)
void | operator delete[] (void *ptr)
void | operator delete[] (void *ptr, const char *, int, const char *)
## Private Attributes
HardwareVertexBufferSharedPtr | srcPositionBuffer
HardwareVertexBufferSharedPtr | srcNormalBuffer
HardwareVertexBufferSharedPtr | destPositionBuffer
HardwareVertexBufferSharedPtr | destNormalBuffer
bool | posNormalShareBuffer
| Both positions and normals are contained in the same buffer.
unsigned short | posBindIndex
unsigned short | normBindIndex
bool | bindPositions
bool | bindNormals

## Detailed Description

Structure for recording the use of temporary blend buffers.

Definition at line 67 of file OgreHardwareBufferManager.h.

## Constructor & Destructor Documentation

Ogre::TempBlendedBufferInfo::~TempBlendedBufferInfo | ( | void |  | ) |

## Member Function Documentation

void Ogre::TempBlendedBufferInfo::bindTempCopies | ( | VertexData * | targetData,
|  | bool | suppressHardwareUpload |
| ) |  |  |

Utility method, binds dest copies into a given VertexData struct.

bool Ogre::TempBlendedBufferInfo::buffersCheckedOut | ( | bool | positions = `true`,
|  | bool | normals = `true` |
| ) |  |  | const

Detect currently have buffer copies checked out and touch it.

void Ogre::TempBlendedBufferInfo::checkoutTempCopies | ( | bool | positions = `true`,
|  | bool | normals = `true` |
| ) |  |  |

Utility method, checks out temporary copies of src into dest.

void Ogre::TempBlendedBufferInfo::extractFrom | ( | const VertexData * | sourceData | ) |

Utility method, extract info from the given VertexData.

void Ogre::TempBlendedBufferInfo::licenseExpired | ( | HardwareBuffer * | buffer | ) |

Overridden member from HardwareBufferLicensee.

virtual void Ogre::HardwareBufferLicensee::licenseExpired | ( | HardwareBuffer * | buffer | ) | `[pure virtual, inherited]`

This method is called when the buffer license is expired and is about to be returned to the shared pool.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | void * |  |
| ) |  |  | `[inherited]`

Definition at line 101 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr | ) | `[inherited]`

Definition at line 95 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |  |
| ) |  |  | `[inherited]`

Definition at line 107 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |  |
| ) |  |  | `[inherited]`

Definition at line 118 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr | ) | `[inherited]`

Definition at line 112 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func |
| ) |  |  | `[inherited]`

operator new, with debug line info

Definition at line 67 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz | ) | `[inherited]`

Definition at line 72 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | void * | ptr |
| ) |  |  | `[inherited]`

placement operator new

Definition at line 78 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz | ) | `[inherited]`

Definition at line 90 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func |
| ) |  |  | `[inherited]`

array operator new, with debug line info

Definition at line 85 of file OgreMemoryAllocatedObject.h.

## Member Data Documentation

bool Ogre::TempBlendedBufferInfo::bindNormals`[private]`

Definition at line 81 of file OgreHardwareBufferManager.h.

bool Ogre::TempBlendedBufferInfo::bindPositions`[private]`

Definition at line 80 of file OgreHardwareBufferManager.h.

HardwareVertexBufferSharedPtr Ogre::TempBlendedBufferInfo::destNormalBuffer`[private]`

Definition at line 75 of file OgreHardwareBufferManager.h.

HardwareVertexBufferSharedPtr Ogre::TempBlendedBufferInfo::destPositionBuffer`[private]`

Definition at line 74 of file OgreHardwareBufferManager.h.

unsigned short Ogre::TempBlendedBufferInfo::normBindIndex`[private]`

Definition at line 79 of file OgreHardwareBufferManager.h.

unsigned short Ogre::TempBlendedBufferInfo::posBindIndex`[private]`

Definition at line 78 of file OgreHardwareBufferManager.h.

bool Ogre::TempBlendedBufferInfo::posNormalShareBuffer`[private]`

Both positions and normals are contained in the same buffer.

Definition at line 77 of file OgreHardwareBufferManager.h.

HardwareVertexBufferSharedPtr Ogre::TempBlendedBufferInfo::srcNormalBuffer`[private]`

Definition at line 72 of file OgreHardwareBufferManager.h.

HardwareVertexBufferSharedPtr Ogre::TempBlendedBufferInfo::srcPositionBuffer`[private]`

Definition at line 71 of file OgreHardwareBufferManager.h.

The documentation for this class was generated from the following file:

- OgreHardwareBufferManager.h

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Wed Nov 3 2010 19:24:55